# Interface DecodeLogOptions

The type of the options parameter to [[WireDecoder.decodeLog|decodeLog()]]. This type may be expanded in the future.

#### Hierarchy

- DecodeLogOptions

- Defined in decoder/lib/types.ts:186

#####
Index

### Properties

disableChecks?
extras?

## Properties

### `Optional` disableChecks

disableChecks?: boolean

Allows decodings that don't pass the re-encoding test. Don't turn this on unless you know what you're doing!

- Defined in decoder/lib/types.ts:197

### `Optional` extras

extras?: ExtrasAllowed

Used to indicate whether "extra" event decodings -- event decodings from non-library contracts other than the one that appears to have emitted the event -- should be returned. Defaults to `"off"`.

- Defined in decoder/lib/types.ts:192

Generated using TypeDoc